//
//  Checklist.swift
//  Checklists
//
//  Created by Kary Clements on 1/9/18.
//  Copyright © 2018 Kary Clements. All rights reserved.
//

import UIKit

class Checklist: NSObject, Codable {
    var name = ""
    var iconName = "No Icon"
    var items = [ChecklistItem]()
    
    init( name: String ) {
        self.name = name
        super.init()
    }
    
    func countUncheckedItems() -> Int {
        var count = 0
        
        for item in items where !item.checked {
            count += 1
        }
        return count
    }
    
    func sortChecklistItems() {
        items.sort( by: { checklistitem1, checklistitem2 in
            return checklistitem1.text.localizedStandardCompare(checklistitem2.text) == .orderedAscending } )
    }
}
